套件系統損壞 (懷疑是 LiberOffice 與 OpenOffice 衝突) [論壇 - 新手村]


正在瀏覽:   2 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

(1) 2 3 »


套件系統損壞 (懷疑是 LiberOffice 與 OpenOffice 衝突)
會員一級
註冊日期:
2015/4/28 10:05
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 21
MP : 3 / 279
EXP: 86
離線
我的系統是 Ubuntu 14.04 64 bit

我今天開機後,自動更新時發生了 "套件系統損壞 " 問題,
系統建議我使用 apt-get install -f 解決。
但發生了錯誤:
==============================
$sudo apt-get install -f
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
正在修正相依關係... 完成
以下套件為自動安裝,並且已經無用:
kde-l10n-engb kde-l10n-zhtw
Use 'apt-get autoremove' to remove them.
下列的額外套件將被安裝:
libreoffice-common
建議套件:
libreoffice-style-crystal libreoffice-style-hicontrast
libreoffice-style-oxygen libreoffice-style-sifr libreoffice-style-tango
下列套件將會被升級:
libreoffice-common
升級 1 個,新安裝 0 個,移除 0 個,有 13 個未被升級。
12 個沒有完整得安裝或移除。
需要下載 0 B/19.9 MB 的套件檔。
此操作完成之後,會多佔用 15.4 kB 的磁碟空間。
Do you want to continue? [Y/n] y
(讀取資料庫 ... 目前共安裝了 266856 個檔案和目錄。)
準備解開 .../libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb ...
Unpacking libreoffice-common (1:4.2.8-0ubuntu2) over (1:4.2.7-0ubuntu2) ...
dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb (--unpack):
正要取代 '/usr/bin/soffice',它也是套件 openoffice-debian-menus 4.1.1-9775 的檔案
rmdir: failed to remove ‘/var/lib/libreoffice/share/prereg/’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice/share/’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice/program/’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice’: 沒有此一檔案或目錄
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for gnome-icon-theme (3.10.0-0ubuntu2) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for shared-mime-info (1.2-0ubuntu3) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
處理時發生錯誤:
/var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
==============================

由於懷疑是 LibreOffice 與 OpenOffice 衝突,所以試著想把兩個移除。
但都無法移除。
==============================
$ sudo apt-get purge openoffice
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
您也許得執行 'apt-get -f install' 以修正這些問題:
下列的套件有未滿足的相依關係:
libreoffice-core : 相依關係: libreoffice-common (> 1:4.2.8) 但 1:4.2.7-0ubuntu2 卻將被安裝
openoffice-brand-base : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-calc : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-draw : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-impress : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-math : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-writer : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-zh-tw : 相依關係: openoffice 但它卻將不會被安裝
E: 未能滿足相依關係。請試著不指定套件來執行 'apt-get -f install'(或採取其它的解決方案)。
==============================

==============================
$ sudo apt-get purge libreoffice
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
Package 'libreoffice' is not installed, so not removed
您也許得執行 'apt-get -f install' 以修正這些問題:
下列的套件有未滿足的相依關係:
libreoffice-core : 相依關係: libreoffice-common (> 1:4.2.8) 但 1:4.2.7-0ubuntu2 卻將被安裝
E: 未能滿足相依關係。請試著不指定套件來執行 'apt-get -f install'(或採取其它的解決方案)。
==============================

請問我該怎麼辦呢?

2015/4/28 10:17
應用擴展 工具箱
回覆: 套件系統損壞 (懷疑是 LiberOffice 與 OpenOffice 衝突)
會員五級
註冊日期:
2009/10/29 4:50
所屬群組:
已註冊使用者
等級: 41
HP : 201 / 1006
MP : 892 / 29119
EXP: 27
離線
試試先 sudo apt-get update
再 sudo apt-get install -f

2015/4/28 12:23
應用擴展 工具箱
關於「apt-get autoremove」
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 169 / 846
MP : 573 / 18351
EXP: 87
離線
Wolfer 寫到:

...略...

以下套件為自動安裝,並且已經無用:
kde-l10n-engb kde-l10n-zhtw
Use 'apt-get autoremove' to remove them.

...略...



當你執行「apt-get」出現「Use 'apt-get autoremove' to remove them」的訊息時。

你可以執行


$ sudo apt-get autoremove



上面的例子,就會把「kde-l10n-engb」和 「 kde-l10n-zhtw」這兩個套件移掉。
請放心移除,你目前的系統的狀況,並沒有其他套件相依這兩個套件。

我在「這篇」,有說明這個概念。

當然你也可以不用移除「kde-l10n-engb」和 「 kde-l10n-zhtw」這兩個套件,
只是執行「apt-get」會一直出現這個訊息而已。

注意:以上只是針對「autoremove」這個狀況來講,並不包含解決你貼出來其他的提示訊息喔!

另外額外一提的,提問時,記得提供你的作業系統版本,可供參考,例如我的是「Xubuntu 14.04 (64位元)」。


2015/4/28 15:08
應用擴展 工具箱
回覆: 套件系統損壞 (懷疑是 LiberOffice 與 OpenOffice 衝突)
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 169 / 846
MP : 573 / 18351
EXP: 87
離線
Wolfer 寫到:

...略...

由於懷疑是 LibreOffice 與 OpenOffice 衝突,所以試著想把兩個移除。
但都無法移除。
==============================
$ sudo apt-get purge openoffice
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
您也許得執行 'apt-get -f install' 以修正這些問題:
下列的套件有未滿足的相依關係:
libreoffice-core : 相依關係: libreoffice-common (> 1:4.2.8) 但 1:4.2.7-0ubuntu2 卻將被安裝
openoffice-brand-base : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-calc : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-draw : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-impress : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-math : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-writer : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-zh-tw : 相依關係: openoffice 但它卻將不會被安裝
E: 未能滿足相依關係。請試著不指定套件來執行 'apt-get -f install'(或採取其它的解決方案)。
==============================

==============================
$ sudo apt-get purge libreoffice
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
Package 'libreoffice' is not installed, so not removed
您也許得執行 'apt-get -f install' 以修正這些問題:
下列的套件有未滿足的相依關係:
libreoffice-core : 相依關係: libreoffice-common (> 1:4.2.8) 但 1:4.2.7-0ubuntu2 卻將被安裝
E: 未能滿足相依關係。請試著不指定套件來執行 'apt-get -f install'(或採取其它的解決方案)。
==============================

請問我該怎麼辦呢?




你可以執行下面的指令,看看有什麼訊息出現

## 查詢「libreoffice」相關的套件


$ dpkg --get-selections | grep libreoffice



## 查詢「openoffice」相關的套件


$ dpkg --get-selections | grep openoffice



我的系統「Xubuntu 14.04 (64位元)」,
並沒有「openoffice」這個套件,
但有「libreoffice」這個套件。

我只是要表達,我的環境設定的套件庫,並沒有「openoffice」這個套件。



你也可以執行下面的指令,看看有什麼訊息出現


$ dpkg -l | grep openoffice




$ dpkg -l | grep libreoffice



注意:以上跟解決你遇到的問題,並沒有直接關係喔

我覺得,問題的癥結點,你要琢磨下面這一段,


您也許得執行 'apt-get -f install' 以修正這些問題:
下列的套件有未滿足的相依關係:
libreoffice-core : 相依關係: libreoffice-common (> 1:4.2.8) 但 1:4.2.7-0ubuntu2 卻將被安裝
openoffice-brand-base : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-calc : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-draw : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-impress : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-math : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-writer : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-zh-tw : 相依關係: openoffice 但它卻將不會被安裝
E: 未能滿足相依關係。請試著不指定套件來執行 'apt-get -f install'(或採取其它的解決方案)。



尤其這一行


libreoffice-core : 相依關係: libreoffice-common (> 1:4.2.8) 但 1:4.2.7-0ubuntu2 卻將被安裝




2015/4/28 15:51
應用擴展 工具箱
回覆: 套件系統損壞 (懷疑是 LiberOffice 與 OpenOffice 衝突)
會員一級
註冊日期:
2015/4/28 10:05
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 21
MP : 3 / 279
EXP: 86
離線
xenomorph0525 寫到:
試試先 sudo apt-get update
再 sudo apt-get install -f


我上面的結果就是有 update 過的囉。

2015/4/29 9:13
應用擴展 工具箱
回覆: 套件系統損壞 (懷疑是 LiberOffice 與 OpenOffice 衝突)
會員一級
註冊日期:
2015/4/28 10:05
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 21
MP : 3 / 279
EXP: 86
離線
samwhelp 寫到:
Wolfer 寫到:

...略...

我覺得,問題的癥結點,你要琢磨下面這一段,


您也許得執行 'apt-get -f install' 以修正這些問題:
下列的套件有未滿足的相依關係:
libreoffice-core : 相依關係: libreoffice-common (> 1:4.2.8) 但 1:4.2.7-0ubuntu2 卻將被安裝
openoffice-brand-base : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-calc : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-draw : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-impress : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-math : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-writer : 相依關係: openoffice 但它卻將不會被安裝
openoffice-brand-zh-tw : 相依關係: openoffice 但它卻將不會被安裝
E: 未能滿足相依關係。請試著不指定套件來執行 'apt-get -f install'(或採取其它的解決方案)。



尤其這一行


libreoffice-core : 相依關係: libreoffice-common (> 1:4.2.8) 但 1:4.2.7-0ubuntu2 卻將被安裝





我試著想用 apt-get upgrade libreoffice-common 看能不能把它昇級到1:4.2.8以上,
結果還要加 -f 才有辦法執行,但最後還是失敗。

錯誤訊息是:
========
處理時發生錯誤:
/var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
========
基本上跟 apt-get -f install 的狀況是一樣的。

大家還有什麼建議嗎?

另外請問一下,這真的是 LibreOffice 跟 OpenOffice 裝在一起的問題嗎?
因為如果實在不行,我考慮要還原了,但 OpenOffice 是在四月初裝的,
如果要還原到四月初,就會損失比較多的資料。

2015/4/29 9:36
應用擴展 工具箱
回覆: 套件系統損壞 (懷疑是 LiberOffice 與 OpenOffice 衝突)
會員五級
註冊日期:
2009/10/29 4:50
所屬群組:
已註冊使用者
等級: 41
HP : 201 / 1006
MP : 892 / 29119
EXP: 27
離線
Wolfer 寫到:
xenomorph0525 寫到:
試試先 sudo apt-get update
再 sudo apt-get install -f


我上面的結果就是有 update 過的囉。


這樣的話呢?

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install -f


如果還是不行,直接下載安裝的話呢?

wget http://security.ubuntu.com/ubuntu/pool/main/libr/libreoffice/libreoffice-common_4.2.8-0ubuntu2_all.deb
sudo dpkg -i libreoffice-common_4.2.8-0ubuntu2_all.deb

注意,後者有可能會把情況弄得更糟。

2015/4/29 13:27
應用擴展 工具箱
回覆: 套件系統損壞 (懷疑是 LiberOffice 與 OpenOffice 衝突)
會員一級
註冊日期:
2015/4/28 10:05
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 21
MP : 3 / 279
EXP: 86
離線
xenomorph0525 寫到:
Wolfer 寫到:
xenomorph0525 寫到:
試試先 sudo apt-get update
再 sudo apt-get install -f


我上面的結果就是有 update 過的囉。


這樣的話呢?

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install -f


如果還是不行,直接下載安裝的話呢?

wget http://security.ubuntu.com/ubuntu/pool/main/libr/libreoffice/libreoffice-common_4.2.8-0ubuntu2_all.deb
sudo dpkg -i libreoffice-common_4.2.8-0ubuntu2_all.deb

注意,後者有可能會把情況弄得更糟。


根據 log 來看,sudo apt-get upgrade 的動作應該就是打算重裝,但是失敗了。

~$ sudo apt-get upgrade
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
您也許得執行 'apt-get -f install' 以修正這些問題。
下列的套件有未滿足的相依關係:
libreoffice-core : 相依關係: libreoffice-common (> 1:4.2.8) 但 1:4.2.7-0ubuntu2 卻已安裝
E: 未能滿足相依關係。試試 -f 選項。

~$ sudo apt-get upgrade -f
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
正在修正相依關係... 完成
籌備升級中... 完成
以下套件為自動安裝,並且已經無用:
kde-l10n-engb kde-l10n-zhtw
Use 'apt-get autoremove' to remove them.
下列套件將會被升級:
libreoffice-common
升級 1 個,新安裝 0 個,移除 0 個,有 0 個未被升級。
30 個沒有完整得安裝或移除。
需要下載 0 B/19.9 MB 的套件檔。
此操作完成之後,會多佔用 15.4 kB 的磁碟空間。
Do you want to continue? [Y/n] y
(讀取資料庫 ... 目前共安裝了 266856 個檔案和目錄。)
準備解開 .../libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb ...
Unpacking libreoffice-common (1:4.2.8-0ubuntu2) over (1:4.2.7-0ubuntu2) ...
dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb (--unpack):
正要取代 '/usr/bin/soffice',它也是套件 openoffice-debian-menus 4.1.1-9775 的檔案
rmdir: failed to remove ‘/var/lib/libreoffice/share/prereg/’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice/share/’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice/program/’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice’: 沒有此一檔案或目錄
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for gnome-icon-theme (3.10.0-0ubuntu2) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for shared-mime-info (1.2-0ubuntu3) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
處理時發生錯誤:
/var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

2015/4/29 14:30
應用擴展 工具箱
回覆: 套件系統損壞 (懷疑是 LiberOffice 與 OpenOffice 衝突)
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 34
HP : 169 / 846
MP : 573 / 18351
EXP: 87
離線
還在測試你遇到的狀況,因為不確定是啥原因造成的,也還不知道怎麼重現你遇到的狀況,所以不好抓!

另外你可以提供一下你的作業系統版本嗎?我猜應該是14.04。(喔喔,後來有看到了,你應該是有更新原post)

另外你是Openoffice和Libreoffice同時都有安裝嗎?

印象中好像只能安裝其中一個的樣子,不過我不確定,因為我也只安裝Libreoffice。


另外可以執行


$ sudo apt-get clean



把「/var/cache/apt/archives/」,先清掉以前下載的deb檔,然後再執行上面的步驟嘗試看看

或是直接刪除「/var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb」這個檔。


這是我目前想到,你可以嘗試的作法了



Wolfer 寫到:
xenomorph0525 寫到:
Wolfer 寫到:
xenomorph0525 寫到:
試試先 sudo apt-get update
再 sudo apt-get install -f


我上面的結果就是有 update 過的囉。


這樣的話呢?

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install -f


如果還是不行,直接下載安裝的話呢?

wget http://security.ubuntu.com/ubuntu/pool/main/libr/libreoffice/libreoffice-common_4.2.8-0ubuntu2_all.deb
sudo dpkg -i libreoffice-common_4.2.8-0ubuntu2_all.deb

注意,後者有可能會把情況弄得更糟。


根據 log 來看,sudo apt-get upgrade 的動作應該就是打算重裝,但是失敗了。

~$ sudo apt-get upgrade
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
您也許得執行 'apt-get -f install' 以修正這些問題。
下列的套件有未滿足的相依關係:
libreoffice-core : 相依關係: libreoffice-common (> 1:4.2.8) 但 1:4.2.7-0ubuntu2 卻已安裝
E: 未能滿足相依關係。試試 -f 選項。
jeff@jeff-desktop:~$ sudo apt-get upgrade -f
正在讀取套件清單... 完成
正在重建相依關係
正在讀取狀態資料... 完成
正在修正相依關係... 完成
籌備升級中... 完成
以下套件為自動安裝,並且已經無用:
kde-l10n-engb kde-l10n-zhtw
Use 'apt-get autoremove' to remove them.
下列套件將會被升級:
libreoffice-common
升級 1 個,新安裝 0 個,移除 0 個,有 0 個未被升級。
30 個沒有完整得安裝或移除。
需要下載 0 B/19.9 MB 的套件檔。
此操作完成之後,會多佔用 15.4 kB 的磁碟空間。
Do you want to continue? [Y/n] y
(讀取資料庫 ... 目前共安裝了 266856 個檔案和目錄。)
準備解開 .../libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb ...
Unpacking libreoffice-common (1:4.2.8-0ubuntu2) over (1:4.2.7-0ubuntu2) ...
dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb (--unpack):
正要取代 '/usr/bin/soffice',它也是套件 openoffice-debian-menus 4.1.1-9775 的檔案
rmdir: failed to remove ‘/var/lib/libreoffice/share/prereg/’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice/share/’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice/program/’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice’: 沒有此一檔案或目錄
rmdir: failed to remove ‘/var/lib/libreoffice’: 沒有此一檔案或目錄
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for gnome-icon-theme (3.10.0-0ubuntu2) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for shared-mime-info (1.2-0ubuntu3) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
處理時發生錯誤:
/var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

2015/4/29 14:36
應用擴展 工具箱
回覆: 套件系統損壞 (懷疑是 LiberOffice 與 OpenOffice 衝突)
會員一級
註冊日期:
2015/4/28 10:05
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 21
MP : 3 / 279
EXP: 86
離線
samwhelp 寫到:
還在測試你遇到的狀況,因為不確定是啥原因造成的,也還不知道怎麼重現你遇到的狀況,所以不好抓!

另外你可以提供一下你的作業系統版本嗎?我猜應該是14.04。(喔喔,後來有看到了,你應該是有更新原post)

另外你是Openoffice和Libreoffice同時都有安裝嗎?

印象中好像只能安裝其中一個的樣子,不過我不確定,因為我也只安裝Libreoffice。


對,我後來有把 OS 版本加上去。

因為敝公司裡一堆OS混用,所以有時用Libreoffice開別人MS Office 時,格式會跑掉。
當時也不知道Openoffice和Libreoffice有血緣關系,就裝了,它也很順利的讓我裝了。
裝了快一個月才發生問題,也不知道是不是這樣造成的?

samwhelp 寫到:
另外可以執行


$ sudo apt-get clean



把「/var/cache/apt/archives/」,先清掉以前下載的deb檔,然後再執行上面的步驟嘗試看看

或是直接刪除「/var/cache/apt/archives/libreoffice-common_1%3a4.2.8-0ubuntu2_all.deb」這個檔。


這是我目前想到,你可以嘗試的作法了



xenomorph0525 寫到:

這樣的話呢?

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install -f


如果還是不行,直接下載安裝的話呢?

wget http://security.ubuntu.com/ubuntu/pool/main/libr/libreoffice/libreoffice-common_4.2.8-0ubuntu2_all.deb
sudo dpkg -i libreoffice-common_4.2.8-0ubuntu2_all.deb

注意,後者有可能會把情況弄得更糟。



手動裝看起來結果也是一樣的 @@
========
處理時發生錯誤:
libreoffice-common_4.2.8-0ubuntu2_all.deb
========

2015/4/29 15:16
應用擴展 工具箱

(1) 2 3 »

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.